#include <U8glib.h>  
#include <dht.h>     

#define dht_apin A5  
dht DHT;

// Uncomment whatever type you're using!
//#define DHTTYPE DHT11     // DHT 11
#define DHTTYPE DHT22   // DHT 22  (AM2302), AM2321
//#define DHTTYPE DHT21   // DHT 21 (AM2301)
              
               
U8GLIB_PCD8544 u8g(8, 4, 7, 5, 6);  // CLK=8, DIN=4, CE=7, DC=5, RST=6

void draw(void) 
{
   u8g.setFont(u8g_font_fur11);   
   u8g.drawStr(0, 20, "Temp: ");   
   u8g.drawStr(0, 40, "Hum: ");
   u8g.setPrintPos(50, 20);      
   u8g.print(DHT.temperature, 0); 
   u8g.println("C"); 
   u8g.setPrintPos(50, 40);        
   u8g.print(DHT.humidity, 0);     
   u8g.println("%");
}
void setup(void) 
{

}

void loop(void)
{
   DHT.read11(dht_apin);  
   u8g.firstPage();  
   do 
{
   draw();
}  while( u8g.nextPage() );
   delay(2000);
}
                           
